Subject: Re: [PATCH] git-completion: add stashes for gitk

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Mar 2015 22:18:31 -0700

Sveinung Kvilhaugsvik <[email-masked]> writes:

>> A bigger question is why this change is made to gitk completion.  If
>> this completion were useful for "gitk", wouoldn't it be equally
>> useful for "git log"?
> I must admit that I didn't know that "git log" could display the
> content of a stashed change. After trying "git log -p -m stash@{0}" I
> would say that adding stashes for "git log" would be slightly less
> useful.

Yeah, it would not be so useful to dig with "log" beyond the commit
that each stash entry is based on.  But imagine "git show stash@{....}"
or "git log -g stash@{0}"?